Subject: bug#641: format-time-string %Z does not work, starting with Emacs 22.2

From: Eli Zaretskii <[email-masked]>
Date: Thu, 07 Aug 2008 21:20:33 +0300

> From: Ted Zlatanov <[email-masked]>
> Date: Thu, 07 Aug 2008 08:20:46 -0500
> 
> We could build a database of known Microsoft timezones and map them to
> ISO timezones.  It has to be done just once and then updated very
> rarely--timezone names don't change often.  The full list of timezones
> is in 
> 
> HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Time Zones 

I already mentioned this possibility in an earlier message here.  The
problem is that what you actually see in `tzname' could be a localized
name, not the US English name.  So unless someone finds (or crafts) an
exhaustive list of all TZ names both in English and in any localized
language to which each one could be translated by Windows, this will
work only on some machines.